//*************************************************************
#include <Wire.h> 
#include <LiquidCrystal_I2C.h>//include library code
//*************************************************************
// set the LCD number of columns and rows
int lcdColumns = 16;
int lcdRows = 2;
// set LCD address, number of columns and rows
LiquidCrystal_I2C lcd(0x3F,lcdColumns,lcdRows);//I2C address 0x3F or 0x27
String messageStatic = "ACOPTEX.COM";
String messageToScroll = "PLEASE VISIT OUR WEBSITE FOR MORE ARDUINO PROJECTS";
//*************************************************************
void setup(){  
  lcd.begin(21, 22);// initialize the lcd with SDA and SCL pins                      
  lcd.backlight();//turn on LCD backlight 
}
void loop(){  
  lcd.setCursor(0, 0);//set cursor to first column, first row  
  lcd.print(messageStatic);//print message  
  scrollText(1, messageToScroll, 250, lcdColumns);//print scrolling message
}
/* Function to scroll text, arguments: 
row: row number where the text will be displayed
message: message to scroll
delayTime: delay between each character shifting
lcdColumns: number of columns of your LCD*/
void scrollText(int row, String message, int delayTime, int lcdColumns) {
  for (int i=0; i < lcdColumns; i++) {
    message = " " + message;  
  } 
  message = message + " "; 
  for (int pos = 0; pos < message.length(); pos++) {
    lcd.setCursor(0, row);
    lcd.print(message.substring(pos, pos + lcdColumns));
    delay(delayTime);
  }
}
